# Generated by Django 2.1.1 on 2018-09-17 19:03

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('xdwc', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Server',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=64)),
                ('domain_name', models.CharField(max_length=64)),
                ('address', models.GenericIPAddressField(protocol='IPv4')),
                ('address_v6', models.GenericIPAddressField(blank=True, null=True, protocol='IPv6')),
                ('port', models.PositiveIntegerField(default=26000)),
                ('server_db_url', models.CharField(max_length=1024)),
                ('tournament', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='xdwc.Tournament')),
            ],
        ),
        migrations.CreateModel(
            name='Standings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', models.PositiveIntegerField()),
                ('eesystem_points', models.DecimalField(decimal_places=10, max_digits=40)),
                ('time_record', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='xdwc.TimeRecord')),
            ],
        ),
        migrations.AddField(
            model_name='player',
            name='country',
            field=models.CharField(blank=True, db_index=True, default=None, max_length=2, null=True),
        ),
        migrations.AlterField(
            model_name='player',
            name='crypto_idfp',
            field=models.CharField(db_index=True, max_length=128),
        ),
        migrations.AddField(
            model_name='speedrecord',
            name='server',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='xdwc.Server'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='timerecord',
            name='server',
            field=models.ForeignKey(default=None, on_delete=django.db.models.deletion.PROTECT, to='xdwc.Server'),
            preserve_default=False,
        ),
    ]
